﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace RowDeleting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new MainViewModel();
        }

        private void XamDataGrid_RecordsDeleting(object sender, Infragistics.Windows.DataPresenter.Events.RecordsDeletingEventArgs e)
        {
            
            string messsage = "Deleting:\n";
            int i = 1;
            foreach (DataRecord rec in e.Records)
            {
                messsage += i + ". " + rec.Cells[1].Value + "\n";
                i++;
            }
            MessageBox.Show(messsage);
        }

        private void XamDataGrid_RecordsDeleted(object sender, Infragistics.Windows.DataPresenter.Events.RecordsDeletedEventArgs e)
        {
            MessageBox.Show("Records Deleted");
        }
    }

    public class MainViewModel
    {
        public MainViewModel()
        {
            Source = new ObservableCollection<Data>
            {
                new Data { ID = 1, Name = "Item 1" },
                new Data { ID = 2, Name = "Item 2" },
                new Data { ID = 3, Name = "Item 3" },
                new Data { ID = 4, Name = "Item 4" },
                new Data { ID = 5, Name = "Item 5" },
            };
        }

        public ObservableCollection<Data> Source { get; set; }
    }


    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
